Bug 1493126 - When creating a sync plan, date and time are not pre-filled.
Summary: When creating a sync plan, date and time are not pre-filled.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Dan Seethaler
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 12:24 UTC by Lukáš Hellebrandt
Modified: 2019-09-26 14:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21049 0 None None None 2017-09-20 21:49:16 UTC

Description Lukáš Hellebrandt 2017-09-19 12:24:01 UTC
Description of problem:
In Sat<6.3, when creating a sync plan, there were sensible date and time pre-filled in the form. It is not in Sat6.3.

Version-Release number of selected component (if applicable):
Sat6.3

How reproducible:
Deterministic

Steps to Reproduce:
1. Content -> Sync plans
2. Create sync plan

Actual results:
Empty date and time, I must fill them in order to continue

Expected results:
The same behavior as in Sat<6.3

Comment 3 Brad Buckingham 2017-09-20 19:27:30 UTC
Hi Walden,

This regression looks like it may have been introduced during the removal of tupane.  

Would you mind taking a quick look to see if it is an easy fix?

I did confirm that in 6.2 the date/time do have defaults on the 'new' form; however, that is no longer the case on 6.3 or upstream.

Comment 4 Walden Raines 2017-09-20 20:04:37 UTC
Assigning this to Dan to look into.

Comment 5 Dan Seethaler 2017-09-20 21:49:14 UTC
Created redmine issue http://projects.theforeman.org/issues/21049 from this bug

Comment 6 Satellite Program 2017-09-21 18:15:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21049 has been resolved.

Comment 7 Corey Welton 2017-10-13 16:01:17 UTC
Verified in snap 19.

Please note that there is no time prepopulated. According to the upstream commit:


"This adds back in the default start date on the sync plan creation day.
The bz mentioned the time as well but the time wasn't ever pre-filled
and is not required to create the plan."

Comment 8 Bryan Kearney 2018-02-21 17:34:01 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 Bryan Kearney 2018-02-21 17:34:03 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.